Bug 5180 - Очень кривой и не нужный пакет
: Очень кривой и не нужный пакет
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/myBudget)
: unstable
: all Linux
: P1 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-09-07 22:40 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-09-07 22:40:59
1) в исполняемом файле! /usr/bin/myBudget нужно исправить sPREFIX =
'/usr/src/RPM/tmp/myBudget-buildroot/usr/share', иначе вообще не стартует.
2) Зачем /usr/share/myBudget/docs дублирует /usr/share/doc/myBudget-0.51?
Лишние
файлы в пакете.
3) В HEADER пакета Description :? по-иоему это нарушение полиси.
4) Это-же питоний скрипт, легко поддающийся руссификации. В противном случае им
не ясно как пользоваться без подготовки.
5) Нет ни menu-entry, ни иконки для него соответственно
6) после запуска, приложение не влазит в 1024x768 - отвратительно, им
становится
не возможно пользоваться
7) программа использует только одну hard-coded денежную единицу
8) самое главное - зачем она, если есть такие пакеты как grisbi и KMyMoney? Я
понимаю, что одной нужен гном, а другой КДЕ, но они гораздо функциональнее, а
последняя даже руссифицирована.
------- Comment #1 From 2004-09-07 22:44:16 -------
Пакетить, ради того чтобы пакетить - порочная практика. А класть в сизиф даже
не
проверенное на запуск приложение вообще нарушение полиси мантайнера. Да и само
приложение дальше дедала не тянет. Как оно вообще в сизифе оказалось?
------- Comment #2 From 2004-09-08 16:22:58 -------

1)fixed
2) fixed
3) fixed
4) What there is russification? I know only about i18n and l10n.
And i18n here is supported. I will prepare Belorussian translation for the
following release. You do want to make a translation into russian?
5) fixed
6) fixed
7) may be in next release
8) This is your subjective personal opinion. You have right =)

0.60-alt1
------- Comment #3 From 2004-10-18 10:53:31 -------
К сожалению, версия в Сизифе до сих пор 0.51 :( 
$ myBudget 
Traceback (most recent call last): 
  File "/usr/bin/myBudget", line 32, in ? 
    inGnuHead = open(buildPath('gnumeric_head.txt'),'r') 
IOError: [Errno 2] No such file or directory: 
'/usr/src/RPM/tmp/myBudget-buildroot/usr/share/myBudget/gnumeric_head.txt' 
------- Comment #4 From 2004-10-18 12:29:43 -------
хех, это не ко мне

$ rsync -n -e ssh incoming:/incoming/Sisyphus/
...
-rw-r--r--     1532026 2004/09/08 15:05:08 myBudget-0.60-alt1.src.rpm
                       ^^^^^^^^^^
------- Comment #5 From 2004-11-11 13:12:17 -------
Закинул повторно.
Текущая версия: 0.60-alt1